#!/usr/bin/gawk -f
#
# elite.awk
#
# Copyright (C) 2002-2003 <tschudin@docs.uu.se>
#
# This file is distributed under the terms of the GNU general Public
# License (GPL), see the file COPYING
#
# History:
# 20030814: modified by <christian.tschudin@unibas.ch>
# 200203??: created by <tschudin@docs.uu.se>


BEGIN {
  scnt = 0;
  gcnt = 0;
}

/^s/ {
  scnt++;
  v[scnt] = $2
  s[scnt] = $3;
}

/^g/ {
  gcnt++;
  g[gcnt] = $0;
}

END {
  last="";
  for (i = 1; i <= 50 && i in s; i++) {
    if ( last == g[s[i]] )
      continue;
    printf "s %15d %d\n", v[i], i;
    last = g[s[i]];
    print last;
  }
}
