#!/bin/sh

#plot "best.gr" w linespoints, "worst.gr" w linespoints

gnuplot -persist <<EOF
set term postscript eps color 20
set xlabel "Generations"
set ylabel "Score"
set output "scores.eps"

plot "best.gr" w linespoints title "Best score", "worst.gr" w linespoints title "Worst score"

EOF

#plot "sizes.gr" w linespoints

gnuplot -persist <<EOF2
set term postscript eps color 20
set xlabel "Generations"
set ylabel "Population code size (bytes)"
set output "sizes.eps"
plot "sizes.gr" w linespoints title ""

EOF2

#gv scores.eps
#gv sizes.eps
