#!/bin/bash
#
# genpop.sh
#
# Copyright (C) 2005 <lidia.yamamoto@unibas.ch>
#
# This file is distributed under the terms of the GNU general Public
# License (GPL), see the file COPYING
#

BIN=$HOME/unibas/src/frag-0.18/bin

for lr in 00 25 ; do
    pop=pop${lr}.gen
    rm -f $pop
    for fra in acdp*.fra cdp*.fra ; do
	cat $fra lossy${lr}.fra | $BIN/f2g.awk >> $pop
    done
    for fra in rdp*.fra bug*.fra ; do
        cat $fra input.fra sink.fra lossy${lr}.fra | $BIN/f2g.awk >> $pop
    done
done


